package NumericalIntegration;

class Square extends Function
{
	public double Evaluate (double x){return x*x;}
}

class Normal extends Function
{
	double mu;
	double sigma;
	
	Normal(double m, double s)
	{
		mu = m; 
		sigma = s;
	}
	
	public double Evaluate(double x)
	{
		return Math.sqrt(1/(2*Math.PI))/sigma* Math.exp(-(x-mu)*(x-mu)/(2*sigma*sigma));
	}
}

public class TestIntegration {

		
	public static void main(String[] args) {
		Integrator integrator = new RectangleIntegrator(100);
		Function sq = new Square();		{
		Function N = new Normal(0,1);
		
		System.out.println("I(sq,0,2) = " + integrator.Integrate(sq, 0, 2) );
		for (int i=1; i<=3;++i)
			System.out.println("I(N,"+(-i) + "," + i + ")="+ integrator.Integrate(N,-i,i));
		}
	}

}
